/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { RdfDefinitionDto } from './rdf-definition-dto';

/**
 * Represents an application profile data transfer object.
 * @export
 * @interface ApplicationProfileDto
 */
export interface ApplicationProfileDto {
    /**
     * The URI associated with the application profile.
     * @type {string}
     * @memberof ApplicationProfileDto
     */
    'uri': string;
    /**
     * The display name for the application profile.
     * @type {string}
     * @memberof ApplicationProfileDto
     */
    'displayName'?: string | null;
    /**
     * The description of the application profile.
     * @type {string}
     * @memberof ApplicationProfileDto
     */
    'description'?: string | null;
    /**
     * 
     * @type {RdfDefinitionDto}
     * @memberof ApplicationProfileDto
     */
    'definition'?: RdfDefinitionDto;
}

